<!--
SPDX-FileCopyrightText: 2022 debgerme <fossgerme@tuta.io>

SPDX-License-Identifier: CC-BY-SA-4.0
-->

# How to add *Custom Songs* to *Vib-Ribbon* (emulator)

[Versión en español](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/src/branch/master/Posts/Custom-songs-Vib-Ribbon/Custom-songs-Vib-Ribbon-ES.md)

Hello! This is like the definitive tutorial of how to make an ISO+CUE file playable with vib-ribbon. BUT this can be useful if you want to simply make an ISO+CUE.

I am writing this tutorial from Linux, but I think all the steps are the same for other operating systems including BSD, Windows, MacOS, and maybe android.

First, I will show you the list of steps to follow:

* Have the required programs
* Export with audacity the audio
* Make the CUE file
* How to use it

## Have the required programs

You need this pieces:

* An audio we want to play
* Audacity
* A plain text editor
* An emulator compatible with audio disks
* The Vib-Ribbon rom

### Audacity

First, run audacity and Click on `FILE` and then click on `OPEN`.

Select your song. *In my case it's Future Eve by Sasakure.UK*

then, click the `Frequency (HZ)` and then select `44100`.

![44100 hz](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/audacity-in-editor.png)

Next, click on `FILE`, `EXPORT`, `EXPORT AUDIO` or just press `Shift`+`Ctrl`+`E`.

Select *Other file formats without compression* and then select the header *RAW (header-less)*, and *Signed 16-bit*

![RAW](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/audacity-exporting-options.png)

Then export it to a some folder you want. *In my case, just for the tutorial, is* `~/Descargas/Future Eve/`

### The BIN+CUE part

When it is exported, Rename the file format to .BIN. *in my case, the file is `FUTURE EVE.raw` and I will rename it to `FUTURE EVE.bin`* And make a CUE file with this content:

```
FILE "Name.bin" BINARY
  TRACK 01 AUDIO
    INDEX 00 00:00:00
    INDEX 01 00:00:00
```

and replace `Name` with the file name. *In my case is `FUTURE EVE.bin`*

with only one track per disk, I recommend to have the same name with different format, like this:

```
"FUTURE EVE.bin"
"FUTURE EVE.cue"
```

but you can put them different names.

### Making a multitrack (multi BIN) disk

If you want to play more than one track per disk, you can make a multitrack disk!

#### Here is how:

* Export the audio files (see ###Audacity step).

* When naming, I recommend to put a numeration. here is an example:

![see the numeration in the names](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/my-song-list.png)

* Edit the CUE file to include all the songs. [You can download and use this template](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/multitrack-multibin-template.cue), It has the maximum number of tracks **Vib-Ribbon can handle.**

* That's it. Just remember that **the maximum number of tracks is 26.** If you add more tracks, the game will **softlock** trying to load them. Note: the **Playstation bios CAN** handle more tracks.

### Game part

Yay! you have a working BIN+CUE disk with your music! now we want to play it in vib-ribbon

You must have an emulator compatible with audio disks. I don't know how to determinate this, but I tried PCSXR and it doesn't work.

The best solution is Duckstation, that have a lot of features and It is super fast and Open source (GNU GPLv3). It is available on [flathub](https://flathub.org/apps/details/org.duckstation.DuckStation) and here is his [github](https://github.com/stenzek/duckstation)

Then launch Duckstation, configure it, and then open the Vib-Ribbon ROM.

go to the CD section

![Go here](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/vib-ribbon-CD.png)

go to the single track and then change the disk

![then go there](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/vib-ribbon-single-track.png)
![when you see this](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/vib-ribbon-change-disk.png)
![change the disk](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/duckstation-change-disk.png)
![yeah, select the disk](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/duckstation-select-disk.png)

Now you can play your song!!!

![here is a screenshot of me playing](https://gitea.sergiotarxz.freemyip.com/germedeb/Luci-Blogpost/raw/branch/master/Posts/Custom-songs-Vib-Ribbon/playing-future-eve.png)

## Credits:

[sys128](https://www.youtube.com/c/sys128) - He Helped me to make my music work on Vib-Ribbon.

## Bye bye!

I hope I helped you with this tutorial.

Feel free to [contact me](t.me/debgerme) if you have a question or something to say. you can sumbit a commit here if you wish.
